Get the size of returned data

- « GearmanTask::data

- GearmanTask::function »

- PHP Manual
- GearmanTask
- Get the size of returned data

# GearmanTask::dataSize

(PECL gearman >= 0.5.0)

GearmanTask::dataSize — Get the size of returned data

### Description

public GearmanTask::dataSize(): int|false

Returns the size of the data being returned for a task.

### Parameters

This function has no parameters.

### Return Values

The data size, or `false` if there is no data.

### See Also

- GearmanTask::data() - Get data returned for a task